// package: bet.protobuf.pagination
// file: protobuf/pagination.proto

import * as jspb from "google-protobuf";

export class Pagination extends jspb.Message {
  hasPage(): boolean;
  clearPage(): void;
  getPage(): number;
  setPage(value: number): void;

  hasPageSize(): boolean;
  clearPageSize(): void;
  getPageSize(): number;
  setPageSize(value: number): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): Pagination.AsObject;
  static toObject(includeInstance: boolean, msg: Pagination): Pagination.AsObject;
  static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
  static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
  static serializeBinaryToWriter(message: Pagination, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): Pagination;
  static deserializeBinaryFromReader(message: Pagination, reader: jspb.BinaryReader): Pagination;
}

export namespace Pagination {
  export type AsObject = {
    page: number,
    pageSize: number,
  }
}

export class Sort extends jspb.Message {
  getBy(): string;
  setBy(value: string): void;

  getOrder(): SortOrderMap[keyof SortOrderMap];
  setOrder(value: SortOrderMap[keyof SortOrderMap]): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): Sort.AsObject;
  static toObject(includeInstance: boolean, msg: Sort): Sort.AsObject;
  static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
  static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
  static serializeBinaryToWriter(message: Sort, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): Sort;
  static deserializeBinaryFromReader(message: Sort, reader: jspb.BinaryReader): Sort;
}

export namespace Sort {
  export type AsObject = {
    by: string,
    order: SortOrderMap[keyof SortOrderMap],
  }
}

export interface SortOrderMap {
  ASC: 0;
  DESC: 1;
}

export const SortOrder: SortOrderMap;

