// package: bet.beteran.member_bank_account
// file: models/member_bank_account.proto

import * as jspb from "google-protobuf";

export class MemberBankAccount extends jspb.Message {
  getId(): string;
  setId(value: string): void;

  getMemberId(): string;
  setMemberId(value: string): void;

  getBankId(): string;
  setBankId(value: string): void;

  getName(): string;
  setName(value: string): void;

  getAccountNumber(): string;
  setAccountNumber(value: string): void;

  hasMemo(): boolean;
  clearMemo(): void;
  getMemo(): string;
  setMemo(value: string): void;

  getCreatedAt(): number;
  setCreatedAt(value: number): void;

  getUpdatedAt(): number;
  setUpdatedAt(value: number): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): MemberBankAccount.AsObject;
  static toObject(includeInstance: boolean, msg: MemberBankAccount): MemberBankAccount.AsObject;
  static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
  static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
  static serializeBinaryToWriter(message: MemberBankAccount, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): MemberBankAccount;
  static deserializeBinaryFromReader(message: MemberBankAccount, reader: jspb.BinaryReader): MemberBankAccount;
}

export namespace MemberBankAccount {
  export type AsObject = {
    id: string,
    memberId: string,
    bankId: string,
    name: string,
    accountNumber: string,
    memo: string,
    createdAt: number,
    updatedAt: number,
  }
}

